lucene-pylucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andi Vajda (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (PYLUCENE-44) pkg_resources.extern.kg_resources.extern.packaging.version is Deprecated
Date Sat, 13 Oct 2018 20:42:00 GMT

    [ https://issues.apache.org/jira/browse/PYLUCENE-44?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16649113#comment-16649113
] 

Andi Vajda commented on PYLUCENE-44:
------------------------------------

Did you actually try that ?
I upgrade my setuptools to the latest, version 40.4.3 and tried the various import statements
in JCC's setup.py:

>>> from setuptools import setup, Extension
>>> from pkg_resources import require
>>> with_setuptools = require('setuptools')[0].parsed_version
>>> with_setuptools
<Version('40.4.3')>

>>> from pkg_resources import SetuptoolsVersion
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: cannot import name SetuptoolsVersion

Ok, that error is expected, especially since version 39.

>>> from pkg_resources.extern.packaging.version import Version

Ok, existing code in setup.py works with version 40.

>>> from packaging.version import Version
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named packaging.version
>>> import packaging
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named packaging

Not ok: your suggested replacement doesn't work.

This is running with Python 2.7.8.
In other words, what's in setup.py works but what you suggest to replace it with doesn't.
Why are you suggestion to change the code ? What is this bug about ?


> pkg_resources.extern.kg_resources.extern.packaging.version is Deprecated
> ------------------------------------------------------------------------
>
>                 Key: PYLUCENE-44
>                 URL: https://issues.apache.org/jira/browse/PYLUCENE-44
>             Project: PyLucene
>          Issue Type: Bug
>         Environment: Arch Linux
> Python 3.7.0
> setuptools 40.4.3
> Ant 1.10.5
> Pip 18.0
>            Reporter: Shangning Xu
>            Priority: Major
>
> {{pkg_resources.extern.kg_resources.extern.packaging.version}} introduced in [PYLUCENE-43|https://issues.apache.org/jira/browse/PYLUCENE-43]
to replace {{SetupToolsVersion}} is actually deprecated *before* {{SetupToolsVersion}} ({{SetupToolsVersion}}
is removed in setuptools [v39.0.0|https://setuptools.readthedocs.io/en/latest/history.html#v39-0-0],
while {{pkg_resources.extern}} is in [v34.0.0|https://setuptools.readthedocs.io/en/latest/history.html#v34-0-0]).
> The correct solution is to replace
> {code:python}
> from pkg_resources.extern.kg_resources.extern.packaging.version import Version
> {code}
> with
> {code:python}
> from packaging.version import Version
> {code}
> in Line 20 of {{setup.py}}. The solution can be found in the release notes of [setuptools
v39.0.0|https://setuptools.readthedocs.io/en/latest/history.html#v39-0-0] and a [Github issue|https://github.com/anntzer/pypi2pkgbuild/issues/2].
> Maybe this setuptools drama may worth a minor version bump?



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message